%global _enable_debug_package 0
%global debug_package %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}
%global firmware_major_version 6.10.5
%global firmware_minor_version 60302
%global firmware_build_version 2109964
%global minor_release 1

Name:           amdgpu-firmware
Version:        %{firmware_major_version}.%{firmware_minor_version}_%{firmware_build_version}
Release:        %{minor_release}%{?dist}
Summary:        AMD GPUs Firmware
Group:          System Environment/Kernel
License:        MIT
Url:            https://repo.radeon.com/
Vendor:         Microsoft Corporation
Distribution:   Azure Linux
BuildArch:      noarch

Source0:        amdgpu-dkms-firmware-%{firmware_major_version}.%{firmware_minor_version}-%{firmware_build_version}%{?dist}.noarch.rpm

Provides:       amdgpu-dkms-firmware = %{version}-%{minor_release}

%description
Firmware for AMD GPUs

%prep
mkdir amdgpu-firmware-build
rpm2cpio %{SOURCE0} | cpio -idmv -D amdgpu-firmware-build

%build

%install
mv -v amdgpu-firmware-build/usr/share/doc/amdgpu-dkms-firmware/LICENSE .
mv -v amdgpu-firmware-build/usr/share/licenses/amdgpu-dkms-firmware/LICENSE.firmware .
pushd amdgpu-firmware-build
cp -rp ./etc %{buildroot}/
cp -rp ./lib %{buildroot}/
cp -rp ./usr %{buildroot}/
popd

%files
%attr(0755,root,root)
/lib/*
%{_sysconfdir}
%{_datadir}
%license LICENSE
%license LICENSE.firmware

%changelog
* Thu Feb 13 2025 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.10.5.60302_2109964-1
- Upgrade AMD GPU firmware to 6.10.5.60302_2109964 version.

* Fri Jan 31 2025 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.60202_2078359-6
- Bump up minor release to align with AMD GPU SPEC.

* Wed Jan 22 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-5
- Bump minor release to align with AMD GPU SPEC.

* Mon Jan 13 2025 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.60202_2078359-4
- Bump up minor release to align with AMD GPU SPEC.

* Thu Jan 09 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-3
- Redacted original source URL to comply with licensing agreements

* Thu Jan 02 2025 Gary Swalling <gaswal@microsoft.com> - 6.8.5.60202_2078359-2
- Clarify license and move license files to standard location

* Fri Nov 22 2024 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.60202_2078359-1
- Upgrade version

* Mon Aug 19 2024 Suresh Babu Chalamalasetty <schalam@microsoft.com> - 6.8.5.0-1
- Initial Azure Linux Spec
- License verified
